Bug 655742 - ibus-sayura not listed under 'Input Method' tab in ibus-setup
Summary: ibus-sayura not listed under 'Input Method' tab in ibus-setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-sayura
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 11:00 UTC by Danishka Navin
Modified: 2010-12-01 21:54 UTC (History)
5 users (show)

Fixed In Version: ibus-sayura-1.3.0.20100716-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-01 21:54:13 UTC
Type: ---


Attachments (Terms of Use)

Description Danishka Navin 2010-11-22 11:00:17 UTC
Description of problem:

Once loged-in to Sinhala locale i could use all Sinhala Input methos has been selected except Sayura by default.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install Fedora 14
2. yum groupinstall sinhala-support
3. log-in to Sinhala locale
4. run ibus-setup
5. check listed input methods under 'Input Method' tab

  
Actual results:

you can see Sayura input method also listed when you visit 'Select an input method' >  Sinhala; Sinhalese

Expected results:

Sayura input method should available under 'Input Method' tab in ibus-setup by default

Additional info:

as Sayura is the most used phonotic Sinhala input emthod for Sinhala we must fix this ASAP.
Because non-technical people might think Sayura is missing in the Fedora 14 distro.

Comment 1 Pravin Satpute 2010-11-22 11:11:12 UTC
we recently did some fixes for selection all language keymaps by default
deuno, can you update on this one?

since sayura is ibus-engine and not .mim do we need to handle this different way?

Comment 2 Danishka Navin 2010-11-23 06:37:13 UTC
this was not happened in Fedora 11 or 12.

basically if we logged-in to a particular locale we should get all the input-methods related to that locale. 

for example;
Chinese input methods wont show in 'input methods' in ibus-setup if you logged-in to a locale other than Chinese 

that means there is a way of detecting Hindi related/specific input methods.

right now i used to drop following files in order to drop them out from 'Input Methods' from the Sinhala locale.

/usr/share/m17n/si-samanala.mim
/usr/share/m17n/si-phonetic-dynamic.mim
/usr/share/m17n/si-phonetic-static.mim
/usr/share/m17n/si-trans.mim
/usr/share/m17n/si-sumihiri.mim
 

just deletion of file is enough.

But i don't know how to add Sayura in  to the 'Input Methods' by default.

Comment 3 Jens Petersen 2010-11-23 07:23:25 UTC
Also reproduced in Rawhide.

Comment 4 fujiwara 2010-11-24 06:36:51 UTC
You can fix this bug within ibus-sayura.
It seems you don't have rank in /usr/share/ibus/component/sayura.xml .

It's good to have the same rank with ibus-m17n if you'd like to show all engines by default:
% /usr/libexec/ibus-engine-m17n --xml
        <engine>
            <name>m17n:si:phonetic-dynamic</name>
            <longname>phonetic-dynamic (m17n)</longname>
            <description>Sinhala phonetic dynamic input method:
  &lt;http://www.nongnu.org/sinhala/doc/keymaps/sinhala-keyboard_4.html&gt;</description>
            <language>si</language>
            <license>GPL</license>
            <author></author>
            <icon>/usr/share/m17n/icons/si-phonetic-dynamic.png</icon>
            <layout>us</layout>
            <hotkeys></hotkeys>
            <rank>1</rank>
        </engine>

Comment 5 Danishka Navin 2010-11-24 07:08:39 UTC
fujiwara, thanks!

Pravin, appreciate if you could release an update for the ibus-sayura package ASAP

Comment 6 Pravin Satpute 2010-11-25 11:22:44 UTC
after adding rank, for new user using Sinhala, now ibus-sayura is also coming in IME list

scratch build for testing http://koji.fedoraproject.org/koji/taskinfo?taskID=2625453

@Danishka please test this one and let me know so i can build it


@Fujiwara after adding rank still it is not coming with 

% /usr/libexec/ibus-engine-m17n --xml

Comment 7 Danishka Navin 2010-11-25 11:32:09 UTC
i have tested by adding rank in to the script
just add entry to the /usr/share/ibus/component/sayura.xml
but no luck. now its ask me to start the ibus deamon.

Pravin, i will check this

Comment 8 fujiwara 2010-11-26 01:00:10 UTC
You could try with a new user account or need to remove some of files in $HOME/.*

Comment 9 Danishka Navin 2010-11-26 09:58:32 UTC
I have tested the i386 package and its working!

Praving, appreciate if you could release this package to the updates repo ASAP.

Thnaks fujiwara :)

Comment 10 Fedora Update System 2010-11-26 10:32:17 UTC
ibus-sayura-1.3.0.20100716-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-sayura-1.3.0.20100716-2.fc14

Comment 11 Fedora Update System 2010-11-26 21:05:55 UTC
ibus-sayura-1.3.0.20100716-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-sayura'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ibus-sayura-1.3.0.20100716-2.fc14

Comment 12 Danishka Navin 2010-11-30 11:42:31 UTC
as this package has been tested, is it possible to release this package to the updates repo?

Comment 13 Pravin Satpute 2010-12-01 04:31:56 UTC
I have already build it, please give Karma for making it stable
https://admin.fedoraproject.org/updates/ibus-sayura-1.3.0.20100716-2.fc14

Comment 14 Fedora Update System 2010-12-01 21:54:09 UTC
ibus-sayura-1.3.0.20100716-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.